Skip to content
Dynamics 365 Blog

In 2019 release wave 2, the Dynamics 365 Business Central team has focused on making sure that the entire product stack uses best-in-class encryption. As a result, we discontinue the support for Transport Layer Security (TLS) versions 1.0 and 1.1.

Microsoft’s TLS 1.0 implementation has no known security vulnerabilities. However, due to the potential for future protocol downgrade attacks and other TLS 1.0 vulnerabilities not specific to Microsoft’s implementation, it is recommended that dependencies on all security protocols older than TLS 1.2 are removed (TLS 1.1/1.0/ SSLv3/SSLv2).

The removal of support for TLS 1.0 and 1.1 means that any clients, devices, or services that connect to Business Central using TLS 1.0 or 1.1 cannot connect to Business Central after the update to 2019 release wave 2.

If you have application features or an add-on that depend on TLS versions 1.0 or 1.1, you must update them. For more information about how to remove TLS 1.0 and 1.1 dependencies, see Solving the TLS 1.0 Problem.

We're always looking for feedback and would like to hear from you. Please head to the Dynamics 365 Community to start a discussion, ask questions, and tell us what you think!

Join the conversation

Loading comments...